/// <reference types="react" />
import { BaseComponent } from '../base';
import { IBarcodeProps } from './barcode.interface';
export declare class Barcode extends BaseComponent<IBarcodeProps> {
    static defaultProps: IBarcodeProps;
    private readonly uuid;
    /**
     * @stable [11.06.2018]
     * @param {Readonly<IBarcodeProps>} prevProps
     * @param {Readonly<{}>} prevState
     */
    componentDidUpdate(prevProps: Readonly<IBarcodeProps>, prevState: Readonly<{}>): void;
    /**
     * @stable [11.06.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [11.06.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [11.06.2018]
     */
    private refresh;
    /**
     * @stable [10.04.2019]
     * @param {BarcodeFormatEnum} format
     * @returns {string}
     */
    private toId;
    /**
     * @stable [10.04.2019]
     * @returns {BarcodeFormatEnum[]}
     */
    private readonly validFormats;
}
