import { UniversalComponent } from './universal.component';
import { IComponent } from '../../entities-definitions.interface';
import { IComponentProps } from '../../props-definitions.interface';
import { IBasicEvent } from '../../react-definitions.interface';
export declare class BaseComponent<TProps extends IComponentProps = IComponentProps, TState = {}> extends UniversalComponent<TProps, TState> implements IComponent<TProps, TState> {
    /**
     * @stable [18.06.2018]
     * @param {IBasicEvent} event
     */
    stopEvent(event: IBasicEvent): void;
    /**
     * @stable [01.12.2018]
     * @returns {HTMLElement}
     */
    getSelf(): HTMLElement;
}
