"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var universal_connector_interface_1 = require("./universal-connector.interface");
var UniversalConnectorActionBuilder = /** @class */ (function () {
    function UniversalConnectorActionBuilder() {
    }
    /**
     * @stable [20.10.2018]
     * @param {string} section
     * @returns {string}
     */
    UniversalConnectorActionBuilder.buildInitActionType = function (section) {
        return universal_connector_interface_1.CONNECTED_CONTAINER_INIT_ACTION_TYPE + "." + section;
    };
    /**
     * @stable [20.10.2018]
     * @param {string} section
     * @returns {string}
     */
    UniversalConnectorActionBuilder.buildDestroyActionType = function (section) {
        return universal_connector_interface_1.CONNECTED_CONTAINER_DESTROY_ACTION_TYPE + "." + section;
    };
    return UniversalConnectorActionBuilder;
}());
exports.UniversalConnectorActionBuilder = UniversalConnectorActionBuilder;
//# sourceMappingURL=universal-connector-action.builder.js.map