import { IUniversalComponentPlugin, IUniversalScrollableComponent } from '../../entities-definitions.interface';
export declare class StickyHeaderPlugin implements IUniversalComponentPlugin {
    private component;
    private domAccessor;
    private stickyElementInitialProperties;
    private selfElementHeight;
    private readonly delayedTask;
    /**
     * @stable [13.12.2018]
     * @param {IUniversalScrollableComponent} component
     */
    constructor(component: IUniversalScrollableComponent);
    /**
     * @stable [13.12.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [13.12.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [13.12.2018]
     */
    componentDidUpdate(): void;
    /**
     * @stable [13.12.2018]
     * @returns {number}
     */
    private readonly selfHeight;
    /**
     * @stable [13.12.2018]
     * @returns {IStickyElementPayloadEntity}
     */
    private getStickyElementInitialProperties;
    /**
     * @stable [20.12.2018]
     */
    private doUpdate;
    private onDelayedTask;
}
