/// <reference types="react" />
import { BaseComponent } from '../base';
import { IWebCameraProps, IWebCamera } from './web-camera.interface';
export declare class WebCamera extends BaseComponent<IWebCameraProps> implements IWebCamera {
    static readonly defaultProps: IWebCameraProps;
    private static readonly CAMERA_ID;
    /**
     * @stable [02.08.2018]
     * @param {IWebCameraProps} props
     */
    constructor(props: IWebCameraProps);
    /**
     * @stable [02.08.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [02.08.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [02.08.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [02.08.2018]
     */
    capture(): void;
    /**
     * @stable [02.08.2018]
     * @param {string} dataUri
     * @returns {Promise<void>}
     */
    private onCapture;
}
