import { ITransportRequestEntity } from './transport.interface';
import { ITransportFactory } from './factory';
import { IKeyValue } from '../definitions.interface';
export declare class FetchJsonTransportFactory implements ITransportFactory {
    private settings;
    request(req: ITransportRequestEntity): Promise<any>;
    cancelRequest(req: ITransportRequestEntity): void;
    toRequestParams(req: ITransportRequestEntity): IKeyValue;
}
