import { ITransportRequestProvider } from './transport-request-provider.interface';
import { ITransportCancelTokenEntity } from '../../transport.interface';
export declare class TransportRequestProvider implements ITransportRequestProvider {
    /**
     * @stable [01.02.2019]
     * @param {TRequest} req
     * @returns {Promise<TResponse>}
     */
    provideRequest<TRequest, TResponse>(req: TRequest): Promise<TResponse>;
    /**
     * @stable [01.02.2019]
     * @returns {ITransportCancelTokenEntity}
     */
    provideCancelToken(): ITransportCancelTokenEntity;
}
