import { ITransportResponseFactoryResponseEntity } from '../transport-response-factory.interface';
import { ITransportResponseAccessor } from './transport-response-accessor.interface';
import { ITransportResponseEntity } from '../../transport.interface';
export declare class TransportResponseAccessor implements ITransportResponseAccessor {
    /**
     * @stable [05.02.2019]
     * @param {ITransportResponseEntity} payload
     * @returns {string}
     */
    toToken(payload: ITransportResponseEntity): string;
    /**
     * @stable [05.02.2019]
     * @param {ITransportResponseFactoryResponseEntity} responseEntity
     * @returns {boolean}
     */
    isAuthError(responseEntity: ITransportResponseFactoryResponseEntity): boolean;
}
