import { IEntity, I$DateWrapper } from '../definitions.interface';
/**
 * @stable [09.04.2019]
 * @param {StringNumberT} value1
 * @param {StringNumberT} value2
 * @returns {number}
 * @constructor
 */
export declare const NAME_ASC_SORTER_FN: <TEntity extends IEntity>(value1: string | number, value2: string | number) => number;
/**
 * @stable [07.03.2019]
 * @param {number} value1
 * @param {number} value2
 * @returns {number}
 * @constructor
 */
export declare const ID_DESC_SORTER_FN: <TEntity extends IEntity>(value1: string | number, value2: string | number) => number;
/**
 * @stable [08.03.2019]
 * @param {StringNumberT} value1
 * @param {StringNumberT} value2
 * @returns {number}
 * @constructor
 */
export declare const ID_ASC_SORTER_FN: <TEntity extends IEntity>(value1: string | number, value2: string | number) => number;
/**
 * @stable [29.08.2018]
 * @param {TEntity} item1
 * @param {TEntity} item2
 * @returns {number}
 * @constructor
 */
export declare const ID_ASC_ENTITIES_SORTER_FN: <TEntity extends IEntity>(item1: TEntity, item2: TEntity) => number;
/**
 * @stable [13.05.2019]
 * @param {TEntity} item1
 * @param {TEntity} item2
 * @returns {number}
 * @constructor
 */
export declare const ID_DESC_ENTITIES_SORTER_FN: <TEntity extends IEntity>(item1: TEntity, item2: TEntity) => number;
/**
 * @stable [29.08.2018]
 * @param {TEntity} item1
 * @param {TEntity} item2
 * @returns {number}
 */
export declare const $DATE_DESC_ENTITIES_SORTER_FN: <TEntity extends I$DateWrapper<string>>(item1: TEntity, item2: TEntity) => number;
