"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
/**
 * @stable [29.05.2018]
 */
exports.INITIAL_APPLICATION_FORM_STATE = {
    changes: {},
};
exports.FORM_REF = 'form';
exports.FORM_PROGRESS_ACTION_TYPE = 'form.progress';
exports.FORM_SUBMIT_ACTION_TYPE = 'form.submit';
exports.FORM_SUBMIT_DONE_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildDoneActionType(exports.FORM_SUBMIT_ACTION_TYPE);
exports.FORM_SUBMIT_ERROR_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildErrorActionType(exports.FORM_SUBMIT_ACTION_TYPE);
exports.FORM_SUBMIT_FINISHED_ACTION_TYPE = exports.FORM_SUBMIT_ACTION_TYPE + ".finished";
exports.FORM_DESTROY_ACTION_TYPE = 'form.destroy';
exports.FORM_VALID_ACTION_TYPE = 'form.valid';
exports.FORM_RESET_ACTION_TYPE = 'form.reset';
exports.FORM_CHANGE_ACTION_TYPE = 'form.change';
exports.FORM_CLEAR_ACTION_TYPE = 'form.clear';
exports.FORM_ACTIVE_VALUE_ACTION_TYPE = 'form.active.value';
exports.FORM_DEACTIVATED_VALUE_ACTION_TYPE = 'form.deactivated.value';
//# sourceMappingURL=form.interface.js.map