import { IKeyValue } from '../../../definitions.interface';
import { VueLayoutBuilderChildrenT, IVueLayoutBuilderConfiguration } from '../../../vue-configurations-definitions.interface';
import { UniversalLayoutViewBuilder } from './universal-layout-view.builder';
export declare class VueLayoutViewBuilder extends UniversalLayoutViewBuilder<string> {
    /**
     * @stable [22.10.2018]
     * @param {IKeyValue} _
     * @param {VueLayoutBuilderChildrenT[]} children
     * @param {IVueLayoutBuilderConfiguration} layoutConfig
     * @returns {string}
     */
    buildRowView(_: IKeyValue, children: VueLayoutBuilderChildrenT[], layoutConfig: IVueLayoutBuilderConfiguration): string;
    /**
     * @stable [22.10.2018]
     * @param {IKeyValue} _
     * @param {VueLayoutBuilderChildrenT[]} children
     * @param {IVueLayoutBuilderConfiguration} layoutConfig
     * @returns {string}
     */
    buildColumnView(_: IKeyValue, children: VueLayoutBuilderChildrenT[], layoutConfig: IVueLayoutBuilderConfiguration): string;
    /**
     * @stable [22.10.2018]
     * @param {IKeyValue} _
     * @returns {string}
     */
    buildSeparatorView(_: IKeyValue): string;
}
