"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_property_decorator_1 = require("vue-property-decorator");
var vue_entities_definitions_interface_1 = require("../../../vue-entities-definitions.interface");
var vue_index_1 = require("../../connector/vue-index");
var vue_index_2 = require("../preview/vue-index");
var vue_picture_preview_interface_1 = require("./vue-picture-preview.interface");
var util_1 = require("../../../util");
var VuePicturePreview = /** @class */ (function (_super) {
    __extends(VuePicturePreview, _super);
    function VuePicturePreview() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [30.01.2019]
     * @param {VueCreateElementFactoryT} createElement
     * @returns {VueNodeT}
     */
    VuePicturePreview.prototype.render = function (createElement) {
        return _super.prototype.render.call(this, createElement);
    };
    /**
     * @stable [30.01.2019]
     */
    VuePicturePreview.prototype.mounted = function () {
        _super.prototype.mounted.call(this);
    };
    /**
     * @stable [30.01.2019]
     */
    VuePicturePreview.prototype.updated = function () {
        _super.prototype.updated.call(this);
    };
    /**
     * @stable [24.02.2019]
     */
    VuePicturePreview.prototype.onScaleIncrease = function () {
        _super.prototype.onScaleIncrease.call(this);
    };
    /**
     * @stable [24.02.2019]
     */
    VuePicturePreview.prototype.onScaleDecrease = function () {
        _super.prototype.onScaleDecrease.call(this);
    };
    /**
     * @stable [24.02.2019]
     * @returns {IVueBasePreviewState}
     */
    VuePicturePreview.prototype.getInitialData$ = function () {
        return { scale: 0 };
    };
    /**
     * @stable [24.02.2019]
     * @returns {string}
     */
    VuePicturePreview.prototype.getClassName = function () {
        return util_1.toClassName(_super.prototype.getClassName.call(this), 'vue-picture-preview');
    };
    /**
     * @stable [30.01.2019]
     * @returns {string}
     */
    VuePicturePreview.prototype.getPreviewTemplate = function () {
        var currentScale = this.getData().scale;
        var style = currentScale !== this.getInitialData$().scale
            ? "style=\"width: " + (100 + currentScale) + "%\""
            : '';
        return "<img src=\"" + this.src + "\"\n                 " + style + "\n                 class=\"vue-preview-content rac-absolute\"/>";
    };
    __decorate([
        vue_property_decorator_1.Prop({ default: function () { return 10; } }),
        __metadata("design:type", Number)
    ], VuePicturePreview.prototype, "scaleFactor", void 0);
    VuePicturePreview = __decorate([
        vue_index_1.ComponentName(vue_picture_preview_interface_1.VUE_PICTURE_PREVIEW_NAME),
        vue_property_decorator_1.Component(vue_entities_definitions_interface_1.vueDefaultComponentConfigFactory())
    ], VuePicturePreview);
    return VuePicturePreview;
}(vue_index_2.VueBasePreview));
//# sourceMappingURL=vue-picture-preview.component.js.map