"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_property_decorator_1 = require("vue-property-decorator");
var vue_index_1 = require("../../connector/vue-index");
var vue_entities_definitions_interface_1 = require("../../../vue-entities-definitions.interface");
var vue_base_picture_viewer_component_1 = require("./vue-base-picture-viewer.component");
var util_1 = require("../../../util");
var VuePictureViewer = /** @class */ (function (_super) {
    __extends(VuePictureViewer, _super);
    function VuePictureViewer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [29.11.2018]
     * @param {VueCreateElementFactoryT} createElement
     * @returns {VueNodeT}
     */
    VuePictureViewer.prototype.render = function (createElement) {
        return _super.prototype.render.call(this, createElement);
    };
    /**
     * @stable [29.11.2018]
     */
    VuePictureViewer.prototype.onOpenPopup = function () {
        _super.prototype.onOpenPopup.call(this);
    };
    /**
     * @stable [29.11.2018]
     */
    VuePictureViewer.prototype.onClosePopup = function () {
        _super.prototype.onClosePopup.call(this);
    };
    /**
     * @stable [06.01.2019]
     * @returns {string}
     */
    VuePictureViewer.prototype.getClassName = function () {
        return util_1.toClassName('vue-picture-viewer', _super.prototype.getClassName.call(this));
    };
    VuePictureViewer = __decorate([
        vue_index_1.ComponentName('vue-picture-viewer'),
        vue_property_decorator_1.Component(vue_entities_definitions_interface_1.vueDefaultComponentConfigFactory())
    ], VuePictureViewer);
    return VuePictureViewer;
}(vue_base_picture_viewer_component_1.VueBasePictureViewer));
exports.VuePictureViewer = VuePictureViewer;
//# sourceMappingURL=vue-picture-viewer.component.js.map