"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
var Operation = /** @class */ (function () {
    /**
     * @stable [26.02.2019]
     * @param {string} id
     */
    function Operation(id) {
        if (id === void 0) { id = util_1.uuid(); }
        this.id = id;
    }
    /**
     * @stable [26.02.2019]
     * @param {string} id
     * @returns {IOperationEntity}
     */
    Operation.create = function (id) {
        if (id === void 0) { id = util_1.uuid(); }
        return new Operation(id);
    };
    return Operation;
}());
exports.Operation = Operation;
//# sourceMappingURL=operation.js.map