import { IStorage } from '../storage';
import { AnyT } from '../definitions.interface';
export declare class RnStorage implements IStorage {
    private prefix;
    constructor(prefix: string);
    set(key: string, value: AnyT): Promise<void>;
    get(key: string): Promise<AnyT>;
    remove(key: string): Promise<void>;
    private toKey;
}
