import { AnyAction, Reducer } from 'redux';
import { notificationReducer } from '../notification';
import { dictionariesReducer } from '../dictionary';
import { permissionsReducer } from '../permissions';
import { stackReducer } from './stack';
import { ILayoutEntity } from '../entities-definitions.interface';
export declare const defaultReducers: {
    channel?: Reducer<{}>;
    dictionaries: typeof dictionariesReducer;
    permissions: typeof permissionsReducer;
    user: (state: any, action: AnyAction) => any;
    layout: (state: ILayoutEntity, action: AnyAction) => ILayoutEntity;
    stack: typeof stackReducer;
    notification: typeof notificationReducer;
};
